## libtorrent-rasterbar 1.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12.0 FATAL_ERROR)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules)
include(LibtorrentMacros)

read_version("${CMAKE_CURRENT_SOURCE_DIR}/include/libtorrent/version.hpp" VER_MAJOR VER_MINOR VER_TINY)

project(libtorrent
	DESCRIPTION "Bittorrent library"
	VERSION ${VER_MAJOR}.${VER_MINOR}.${VER_TINY}
)
set (SOVERSION "10")

include(GNUInstallDirs)
include(GeneratePkgConfig)

set(libtorrent_include_files
	add_torrent_params
	address
	alert
	alert_manager
	alert_types
	announce_entry
	assert
	bandwidth_limit
	bandwidth_manager
	bandwidth_queue_entry
	bandwidth_socket
	bdecode
	bencode
	bitfield
	block_cache
	bloom_filter
	broadcast_socket
	bt_peer_connection
	buffer
	chained_buffer
	choker
	close_reason
	config
	ConvertUTF
	copy_ptr
	crc32c
	create_torrent
	deadline_timer
	debug
	disk_buffer_holder
	disk_buffer_pool
	disk_interface
	disk_io_job
	disk_io_thread
	disk_io_thread_pool
	disk_job_pool
	disk_observer
	download_priority
	ed25519
	entry
	enum_net
	error
	error_code
	extensions
	file
	file_pool
	file_storage
	fingerprint
	flags
	fwd
	gzip
	hasher
	hasher512
	heterogeneous_queue
	hex
	http_connection
	http_parser
	http_seed_connection
	http_stream
	http_tracker_connection
	i2p_stream
	identify_client
	index_range
	invariant_check
	io
	io_service
	io_service_fwd
	ip_filter
	ip_voter
	lazy_entry
	link
	linked_list
	lsd
	magnet_uri
	natpmp
	netlink
	operations
	optional
	packet_buffer
	packet_pool
	parse_url
	part_file
	pe_crypto
	peer
	peer_class
	peer_class_set
	peer_class_type_filter
	peer_connection
	peer_connection_handle
	peer_connection_interface
	peer_id
	peer_info
	peer_list
	peer_request
	performance_counters
	pex_flags
	piece_block
	piece_block_progress
	piece_picker
	platform_util
	portmap
	proxy_base
	puff
	random
	read_resume_data
	receive_buffer
	request_blocks
	resolve_links
	resolver
	resolver_interface
	session
	session_handle
	session_settings
	session_stats
	session_status
	session_types
	settings_pack
	sha1
	sha1_hash
	sha512
	sliding_average
	socket
	socket_io
	socks5_stream
	span
	ssl_stream
	stack_allocator
	stat
	stat_cache
	storage
	storage_defs
	string_util
	string_view
	tailqueue
	time
	timestamp_history
	torrent
	torrent_flags
	torrent_handle
	torrent_info
	torrent_peer
	torrent_peer_allocator
	torrent_status
	tracker_manager
	udp_socket
	udp_tracker_connection
	union_endpoint
	units
	upnp
	utf8
	utp_socket_manager
	utp_stream
	vector_utils
	version
	web_connection_base
	web_peer_connection
	write_resume_data
	xml_parse)

set(libtorrent_kademlia_include_files
	announce_flags
	dht_observer
	dht_settings
	dht_state
	dht_storage
	dht_tracker
	direct_request
	dos_blocker
	ed25519
	find_data
	get_item
	get_peers
	io
	item
	msg
	node
	node_entry
	node_id
	observer
	put_data
	refresh
	routing_table
	rpc_manager
	sample_infohashes
	traversal_algorithm
	types)

set(libtorrent_extensions_include_files
	smart_ban
	ut_metadata
	ut_pex)

set(libtorrent_aux_include_files
	aligned_storage
	aligned_union
	alloca
	allocating_handler
	array
	bind_to_device
	keepalive
	block_cache_reference
	byteswap
	cppint_import_export
	cpuid
	deferred_handler
	deprecated
	deque
	dev_random
	disable_warnings_pop
	disable_warnings_push
	disk_job_fence
	escape_string
	export
	ffs
	file_progress
	has_block
	instantiate_connection
	io
	ip_notifier
	listen_socket_handle
	lsd
	merkle
	noexcept_movable
	numeric_cast
	openssl
	path
	portmap
	proxy_settings
	range
	route
	scope_end
	session_call
	session_impl
	session_interface
	session_settings
	session_udp_sockets
	set_socket_buffer
	socket_type
	storage_piece_set
	storage_utils
	string_ptr
	suggest_piece
	throw
	time
	torrent_impl
	unique_ptr
	vector
	win_crypto_provider
	win_util)

set(sources
	web_connection_base
	alert
	alert_manager
	announce_entry
	assert
	bandwidth_limit
	bandwidth_manager
	bandwidth_queue_entry
	bdecode
	bitfield
	block_cache
	bloom_filter
	chained_buffer
	choker
	close_reason
	cpuid
	crc32c
	create_torrent
	disk_buffer_holder
	entry
	error_code
	file_storage
	file_progress
	generate_peer_id
	lazy_bdecode
	escape_string
	string_util
	file
	path
	fingerprint
	gzip
	hasher
	sha1
	hex
	http_connection
	http_stream
	http_parser
	i2p_stream
	identify_client
	ip_filter
	ip_notifier
	ip_voter
	listen_socket_handle
	performance_counters
	peer_class
	peer_class_set
	peer_connection
	bt_peer_connection
	web_peer_connection
	http_seed_connection
	peer_connection_handle
	instantiate_connection
	merkle
	natpmp
	part_file
	packet_buffer
	piece_picker
	platform_util
	proxy_base
	peer_list
	puff
	random
	receive_buffer
	read_resume_data
	write_resume_data
	request_blocks
	resolve_links
	resolver
	session
	session_call
	session_handle
	session_impl
	session_settings
	proxy_settings
	session_stats
	settings_pack
	sha1_hash
	socket_io
	socket_type
	socks5_stream
	stat
	stat_cache
	storage
	storage_piece_set
	storage_utils
	time
	timestamp_history
	torrent
	torrent_handle
	torrent_info
	torrent_peer
	torrent_peer_allocator
	torrent_status
	tracker_manager
	http_tracker_connection
	utf8
	udp_tracker_connection
	udp_socket
	upnp
	utp_socket_manager
	utp_stream
	file_pool
	lsd
	disk_io_job
	disk_job_fence
	disk_job_pool
	disk_buffer_pool
	disk_io_thread
	disk_io_thread_pool
	enum_net
	broadcast_socket
	magnet_uri
	parse_url
	ConvertUTF
	xml_parse
	version
	ffs
	add_torrent_params
	peer_info
	stack_allocator

# -- extensions --
	ut_pex
	ut_metadata
	smart_ban
)

# -- kademlia --
set(kademlia_sources
	dht_state
	dht_storage
	dos_blocker
	dht_tracker
	msg
	node
	node_entry
	refresh
	rpc_manager
	find_data
	put_data
	node_id
	routing_table
	traversal_algorithm
	item
	get_peers
	get_item
	ed25519
	sample_infohashes
	dht_settings
)

# -- ed25519 --
set(ed25519_sources
	add_scalar
	fe
	ge
	key_exchange
	keypair
	sc
	sign
	verify
)

list(TRANSFORM sources PREPEND "src/")
list(TRANSFORM kademlia_sources PREPEND "src/kademlia/")
list(TRANSFORM ed25519_sources PREPEND "ed25519/src/")
list(TRANSFORM libtorrent_include_files PREPEND "include/libtorrent/")
list(TRANSFORM libtorrent_extensions_include_files PREPEND "include/libtorrent/extensions/")
list(TRANSFORM libtorrent_aux_include_files PREPEND "include/libtorrent/aux_/")
list(TRANSFORM libtorrent_kademlia_include_files PREPEND "include/libtorrent/kademlia/")

# these options control target creation and thus have to be declared before the add_library() call
feature_option(BUILD_SHARED_LIBS "build libtorrent as a shared library" ON)
feature_option(static_runtime "build libtorrent with static runtime" OFF)

find_public_dependency(Threads REQUIRED)

if(CMAKE_CXX_COMPILER_ID MATCHES Clang)
	add_compile_options(
		-Weverything
		-Wno-documentation
		-Wno-c++98-compat-pedantic
		-Wno-padded
		-Wno-global-constructors
		-Wno-exit-time-destructors
		-Wno-weak-vtables)
elseif(CMAKE_CXX_COMPILER_ID MATCHES GNU)
	add_compile_options(
		-Wall
		-Wextra
		-Wpedantic
		-Wparentheses
		-Wvla
		-Wc++11-compat
		-Wno-format-zero-length
		-ftemplate-depth=512)
elseif(MSVC)
	add_compile_options(
		/W4
		# C4251: 'identifier' : class 'type' needs to have dll-interface to be
		#        used by clients of class 'type2'
		/wd4251
		# C4275: non DLL-interface classkey 'identifier' used as base for
		#        DLL-interface classkey 'identifier'
		/wd4275
		# C4373: virtual function overrides, previous versions of the compiler
		#        did not override when parameters only differed by const/volatile qualifiers
		/wd4373
		# C4268: 'identifier' : 'const' static/global data initialized
		#        with compiler generated default constructor fills the object with zeros
		/wd4268
		# C4503: 'identifier': decorated name length exceeded, name was truncated
		/wd4503)
endif()

if(static_runtime)
	include(ucm_flags)
	ucm_set_runtime(STATIC)
	set(Boost_USE_MULTITHREADED ON)
	set(Boost_USE_STATIC_RUNTIME ON)
	set(OPENSSL_USE_STATIC_LIBS TRUE)
	set(OPENSSL_MSVC_STATIC_RT TRUE)
endif()

if (NOT BUILD_SHARED_LIBS)
	set(Boost_USE_STATIC_LIBS ON)
endif()

add_library(torrent-rasterbar
	${sources}
	${libtorrent_include_files}
	${libtorrent_extensions_include_files}
	${libtorrent_aux_include_files}
)

select_cxx_standard(torrent-rasterbar 11)

if (BUILD_SHARED_LIBS)
	target_compile_definitions(torrent-rasterbar
		PRIVATE TORRENT_BUILDING_SHARED
		INTERFACE TORRENT_LINKING_SHARED
	)
endif()

set_target_properties(torrent-rasterbar
	PROPERTIES
		CXX_VISIBILITY_PRESET "hidden"
		VISIBILITY_INLINES_HIDDEN "true"
		VERSION ${PROJECT_VERSION}
		SOVERSION ${SOVERSION}
)

target_include_directories(torrent-rasterbar PUBLIC
	$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
	$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

target_compile_definitions(torrent-rasterbar
	PUBLIC
		$<$<CONFIG:Debug>:TORRENT_USE_ASSERTS>
		BOOST_ASIO_ENABLE_CANCELIO
	PRIVATE
		TORRENT_BUILDING_LIBRARY
		_FILE_OFFSET_BITS=64
		BOOST_EXCEPTION_DISABLE
		BOOST_ASIO_HAS_STD_CHRONO
)

target_link_libraries(torrent-rasterbar
	PUBLIC
		Threads::Threads
)

# Unconditional platform-specific settings
if (WIN32)
	target_link_libraries(torrent-rasterbar
		PRIVATE
			wsock32 ws2_32 Iphlpapi
			debug dbghelp
	)

	add_definitions(-D_WIN32_WINNT=0x0600) # target Windows Vista or later

	target_compile_definitions(torrent-rasterbar
		PUBLIC WIN32_LEAN_AND_MEAN # prevent winsock1 to be included
	)

	if (MSVC)
		target_compile_definitions(torrent-rasterbar
			PUBLIC
				BOOST_ALL_NO_LIB
				_SCL_SECURE_NO_DEPRECATE _CRT_SECURE_NO_DEPRECATE # disable bogus deprecation warnings on msvc8
		)
		target_compile_options(torrent-rasterbar
			PRIVATE
				/Zc:wchar_t /Zc:forScope # these compiler settings just make the compiler standard conforming
				/MP # for multi-core compilation
				/bigobj # increase the number of sections for obj files
		)
		set_target_properties(torrent-rasterbar PROPERTIES LINK_FLAGS_RELEASE "/OPT:ICF=5 /OPT:REF")
	endif()
endif()

if (ANDROID)
	target_link_libraries(torrent-rasterbar PRIVATE ${CMAKE_DL_LIBS})
endif()

if (APPLE)
	# for ip_notifier
	target_link_libraries(torrent-rasterbar PRIVATE "-framework CoreFoundation" "-framework SystemConfiguration")
endif()

feature_option(build_tests "build tests" OFF)
feature_option(build_examples "build examples" OFF)
feature_option(build_tools "build tools" OFF)
feature_option(python-bindings "build python bindings" OFF)

# these options require existing target
feature_option(dht "enable support for Mainline DHT" ON)
if(NOT build_tests) # tests require deprecated symbols
	target_optional_compile_definitions(torrent-rasterbar PUBLIC FEATURE NAME deprecated-functions DEFAULT ON
		DESCRIPTION "enable deprecated functions for backwards compatibility" DISABLED TORRENT_NO_DEPRECATE)
endif()
feature_option(encryption "Enables encryption in libtorrent" ON)
feature_option(exceptions "build with exception support" ON)
target_optional_compile_definitions(torrent-rasterbar PUBLIC FEATURE NAME extensions DEFAULT ON
	DESCRIPTION "Enables protocol extensions" DISABLED TORRENT_DISABLE_EXTENSIONS)
target_optional_compile_definitions(torrent-rasterbar PUBLIC FEATURE NAME i2p DEFAULT ON
	DESCRIPTION "build with I2P support" DISABLED TORRENT_USE_I2P=0)
target_optional_compile_definitions(torrent-rasterbar PUBLIC FEATURE NAME logging DEFAULT ON
	DESCRIPTION "build with logging" DISABLED TORRENT_DISABLE_LOGGING)
target_optional_compile_definitions(torrent-rasterbar PUBLIC FEATURE NAME mutable-torrents DEFAULT ON
	DESCRIPTION "Enables mutable torrent support" DISABLED TORRENT_DISABLE_MUTABLE_TORRENTS)

find_public_dependency(Iconv)
if(MSVC)
	set(iconv_package_type OPTIONAL)
else()
	set(iconv_package_type RECOMMENDED)
endif()

set_package_properties(Iconv
	PROPERTIES
		URL "https://www.gnu.org/software/libiconv/"
		DESCRIPTION "GNU encoding conversion library"
		TYPE ${iconv_package_type}
		PURPOSE "Convert strings between various encodings"
)

if(Iconv_FOUND)
	target_compile_definitions(torrent-rasterbar PUBLIC TORRENT_USE_ICONV)

=== bindings/python/CMakeLists.txt ===
# To build python bindings we need a python executable and boost python module. Unfortunately,
# their names might not be interlinked and we can not implement a general solution.
# The code below assumes default boost installation, when the module for python 2 is named
# 'python' and the module for python 3 is named 'python3'.
# To customize that one can provide a name for the Boost::python module via
# 'boost-python-module-name' variable when invoking cmake.
# E.g. on Gentoo with python 3.6 and Boost::python library name 'libboost_python-3.6.so'
# the parameter would be -Dboost-python-module-name="python-3.6".

# The extension module and the cpython executable have to use the same C runtime library. On Windows
# Python is compiled with MSVC and we will test MSVC version to make sure that it is the same for
# the given Python version and our extension module. See https://wiki.python.org/moin/WindowsCompilers
# for details. We provide a flag to skip this test for whatever reason (pass -Dskip-python-runtime-test=True)

# Sets _ret to a list of python versions (major.minor) that use the same MSVC runtime as this build does
# assumes MSVC was detected already
# See https://en.wikipedia.org/wiki/Microsoft_Visual_C++#Internal_version_numbering
function(_get_compatible_python_versions _ret)
	if (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 15 AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 16)
		list(APPEND _tmp 2.6 2.7 3.0 3.1 3.2)
	elseif(CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 16 AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 17)
		list(APPEND _tmp 3.3 3.4)
	elseif(CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 19 AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 20)
		list(APPEND _tmp 3.5 3.6)
	endif()
	set(${_ret} ${_tmp} PARENT_SCOPE)
endfunction()


if (CMAKE_CXX_COMPILER_ID MATCHES "MSVC" AND NOT skip-python-runtime-test)
	_get_compatible_python_versions(Python_ADDITIONAL_VERSIONS)
endif()

find_package(PythonInterp REQUIRED)
if (CMAKE_CXX_COMPILER_ID MATCHES "MSVC" AND NOT skip-python-runtime-test)
	message(STATUS "Testing found python version. Requested: ${Python_ADDITIONAL_VERSIONS}, found: ${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}")
	if (NOT "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}" IN_LIST Python_ADDITIONAL_VERSIONS)
		message(FATAL_ERROR "Incompatible Python and C runtime: MSVC ${CMAKE_CXX_COMPILER_VERSION} and Python ${PYTHON_VERSION_STRING}")
	endif()
endif()

set(Python_ADDITIONAL_VERSIONS "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}")
find_package(PythonLibs REQUIRED)

if (NOT boost-python-module-name)
	# use active python
	if (PYTHON_VERSION_STRING VERSION_GREATER_EQUAL "3")
		set(_boost-python-module-name "python${PYTHON_VERSION_MAJOR}")
	else()
		set(_boost-python-module-name "python") # to overwrite possible value from a previous run
	endif()
endif()

set(boost-python-module-name ${_boost-python-module-name} CACHE STRING "Boost:python module name, e.g. 'pythom-3.6'")

find_package(Boost REQUIRED COMPONENTS ${boost-python-module-name})

python_add_module(python-libtorrent
	src/module.cpp
	src/sha1_hash.cpp
	src/converters.cpp
	src/create_torrent.cpp
	src/fingerprint.cpp
	src/utility.cpp
	src/session.cpp
	src/entry.cpp
	src/torrent_info.cpp
	src/string.cpp
	src/torrent_handle.cpp
	src/torrent_status.cpp
	src/session_settings.cpp
	src/version.cpp
	src/alert.cpp
	src/datetime.cpp
	src/peer_info.cpp
	src/ip_filter.cpp
	src/magnet_uri.cpp
	src/error_code.cpp
)

set_target_properties(python-libtorrent
	PROPERTIES
		OUTPUT_NAME libtorrent
)

target_include_directories(python-libtorrent
	PRIVATE
		${PYTHON_INCLUDE_DIRS}
)

string(TOUPPER "${boost-python-module-name}" boost_python_module_name_uppercase)
target_link_libraries(python-libtorrent
	PRIVATE
		torrent-rasterbar
		${Boost_${boost_python_module_name_uppercase}_LIBRARY}
		# Boost::python adds that but without a path to the library. Therefore we have to either
		# provide the path (but, unfortunately, FindPythonLibs.cmake does not return the library dir),
		# or give the full file name here (this FindPythonLibs.cmake provides to us).
		${PYTHON_LIBRARIES}
)

# Bindings module uses deprecated libtorrent features, thus we disable these warnings
if (CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
	check_cxx_compiler_flag("-Wno-deprecated-declarations" _WNO_DEPRECATED_DECLARATIONS)
	if (_WNO_DEPRECATED_DECLARATIONS)
		target_compile_options(python-libtorrent PRIVATE -Wno-deprecated-declarations)
	endif()
endif()

execute_process(COMMAND
  ${PYTHON_EXECUTABLE} -c "import distutils.sysconfig;
print(';'.join(map(str, [
	distutils.sysconfig.get_python_lib(plat_specific=True, prefix=''),
	distutils.sysconfig.get_config_var('EXT_SUFFIX')
])))"
	OUTPUT_VARIABLE _python_sysconfig_vars OUTPUT_STRIP_TRAILING_WHITESPACE)

list(GET _python_sysconfig_vars 0 PYTHON_SITE_PACKAGES)
list(GET _python_sysconfig_vars 1 PYTHON_EXT_SUFFIX)

message(STATUS "Python site packages: ${PYTHON_SITE_PACKAGES}")
# python 2 does not provide the 'EXT_SUFFIX' sysconfig variable, so we use cmake default then
if (NOT "${PYTHON_EXT_SUFFIX}" STREQUAL "None")
	message(STATUS "Python extension suffix: ${PYTHON_EXT_SUFFIX}")
	# we mimic the name, created by setuptools
	# example: libtorrent.cpython-36m-x86_64-linux-gnu.so
	set_target_properties(python-libtorrent PROPERTIES SUFFIX ${PYTHON_EXT_SUFFIX})
endif()

set(SETUP_PY_IN "${CMAKE_CURRENT_SOURCE_DIR}/setup.py.cmake.in")
set(SETUP_PY    "${CMAKE_CURRENT_BINARY_DIR}/setup.py")
set(OUTPUT      "${CMAKE_CURRENT_BINARY_DIR}/timestamp")
set(DEPS        python-libtorrent "${SETUP_PY}")

configure_file(${SETUP_PY_IN} ${SETUP_PY} @ONLY)

add_custom_command(OUTPUT ${OUTPUT}
                   COMMAND ${PYTHON_EXECUTABLE} ${SETUP_PY} build -b "${CMAKE_CURRENT_SOURCE_DIR}"
                   COMMAND ${PYTHON_EXECUTABLE} ${SETUP_PY} egg_info -b "${CMAKE_CURRENT_SOURCE_DIR}"
                   COMMAND ${CMAKE_COMMAND} -E touch ${OUTPUT}
                   DEPENDS ${DEPS})

add_custom_target(python_bindings ALL DEPENDS ${OUTPUT})


install(TARGETS python-libtorrent DESTINATION "${PYTHON_SITE_PACKAGES}")
install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/libtorrent.egg-info" DESTINATION "${PYTHON_SITE_PACKAGES}")

=== debian/changelog ===
libtorrent-rasterbar (1.2.5-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Link against libatomic on riscv64 as well

 -- Graham Inggs <ginggs@debian.org>  Tue, 23 Jun 2020 18:11:28 +0000

libtorrent-rasterbar (1.2.5-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Link against libatomic on armel/mipsel/m68k/powerpc/sh4.
    (Closes: #958958)
  * Build depend on python, which reopens #936927 but closes: #962090.

 -- Adrian Bunk <bunk@debian.org>  Wed, 10 Jun 2020 17:37:20 +0300

libtorrent-rasterbar (1.2.5-1) unstable; urgency=medium

  * New upstream release (Closes: #952447).
  * debian/control:
   - Depend on python3-docutils (Closes: #936927).
   - Bump Standards-Version to 4.5.0.
  * New package libtorrent-rasterbar10, bump library soname.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 09 Mar 2020 20:41:03 -0400

libtorrent-rasterbar (1.1.13-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Stop building the Python2 packages. Closes: #936927.
  * Fix installation of the python3.8 extension. Closes: #945473.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Nov 2019 17:42:44 +0100

=== debian/control ===
Source: libtorrent-rasterbar
Section: libs
Priority: optional
Maintainer: Cristian Greco <cristian@debian.org>
Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               libboost-system-dev,
               libboost-python-dev,
               libboost-chrono-dev,
               libboost-random-dev,
               libssl-dev,
               pkg-config,
               python,
               python3-docutils,
               python3-all-dev,
               python3-all-dbg,
               python3-docutils
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/libtorrent-rasterbar.git
Vcs-Browser: https://salsa.debian.org/debian/libtorrent-rasterbar/
Homepage: https://libtorrent.org/

Package: libtorrent-rasterbar10
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libtorrent-rasterbar-dbg
Description: C++ bittorrent library by Rasterbar Software
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains libtorrent-rasterbar run time shared library.

Package: libtorrent-rasterbar-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libtorrent-rasterbar10 (= ${binary:Version}),
         libboost-system-dev,
         libssl-dev,
         pkg-config
Suggests: libtorrent-rasterbar-doc
Description: Development files for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains header files and static version of the library.

Package: libtorrent-rasterbar-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, libtorrent-rasterbar10 (= ${binary:Version})
Description: Debug symbols for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains debugging symbols.

Package: libtorrent-rasterbar-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains documentation and example files.

Package: python3-libtorrent
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libtorrent-rasterbar10 (= ${binary:Version})
Description: Python bindings for libtorrent-rasterbar (Python 3)
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains Python 3 bindings for the libtorrent-rasterbar library.

Package: python3-libtorrent-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-libtorrent (= ${binary:Version}), python3-dbg
Description: Python bindings for libtorrent-rasterbar (debug symbols) (Python 3)
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains Python 3 bindings for the libtorrent-rasterbar library
 (debug symbols).

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed

ifneq (,$(filter $(DEB_HOST_ARCH), armel mipsel m68k powerpc riscv64 sh4))
  export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

PYTHON3=$(shell py3versions -vr)
ALLPY=$(PYTHON3) $(PYTHON3:%=%-dbg)

CONFIGURE_ARGS = --with-libiconv --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ --with python3

override_dh_auto_configure-nopy:
	dh_auto_configure --builddirectory build -- $(CONFIGURE_ARGS)

override_dh_auto_configure-%:
	CPPFLAGS="$(CPPFLAGS) $(shell python$*-config --includes)" \
	PYTHON_LDFLAGS="$(shell python$*-config --libs)" \
	dh_auto_configure --builddirectory build-py$* -- \
		PYTHON=/usr/bin/python$* \
		PYTHON_INSTALL_PARAMS="--root=$(CURDIR)/debian/tmp \
		--install-layout=deb" \
		--enable-python-binding \
		--with-boost-python=boost_python$(subst .,,$(subst -dbg,,$*)) \
		$(CONFIGURE_ARGS)
	mv build-py$*/bindings/python build/bindings/python$*
	cp -r bindings/python/* build/bindings/python$*

override_dh_auto_configure: override_dh_auto_configure-nopy $(ALLPY:%=override_dh_auto_configure-%)


override_dh_auto_build-nopy:
	dh_auto_build --builddirectory build
	$(MAKE) -C docs/ -f makefile

override_dh_auto_build-%:
	dh_auto_build --builddirectory build/bindings/python$*

override_dh_auto_build: override_dh_auto_build-nopy $(ALLPY:%=override_dh_auto_build-%)


override_dh_auto_install-nopy:
	dh_auto_install --builddirectory build

override_dh_auto_install-%:
	dh_auto_install --builddirectory build/bindings/python$*

override_dh_auto_install: override_dh_auto_install-nopy $(ALLPY:%=override_dh_auto_install-%)


override_dh_auto_clean:
	rm -rf build build-py*
	dh_auto_clean

override_dh_compress:
	dh_compress -Xcpp

override_dh_strip:
	dh_strip --dbg-package=libtorrent-rasterbar-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_python3:
	find debian/python3-libtorrent -name '*.cpython-*d*-$(DEB_HOST_MULTIARCH).so' | xargs -r rm -f
	dh_python3

## libtorrent-rasterbar 1.2.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,6 @@
 	choker
 	close_reason
 	config
-	ConvertUTF
 	copy_ptr
 	crc32c
 	create_torrent
@@ -320,6 +319,7 @@
 	instantiate_connection
 	merkle
 	natpmp
+	openssl
 	part_file
 	packet_buffer
 	piece_picker
@@ -379,7 +379,6 @@
 	broadcast_socket
 	magnet_uri
 	parse_url
-	ConvertUTF
 	xml_parse
 	version
 	ffs
@@ -486,12 +485,12 @@
 	ucm_set_runtime(STATIC)
 	set(Boost_USE_MULTITHREADED ON)
 	set(Boost_USE_STATIC_RUNTIME ON)
-	set(OPENSSL_USE_STATIC_LIBS TRUE)
-	set(OPENSSL_MSVC_STATIC_RT TRUE)
+	set(OPENSSL_MSVC_STATIC_RT ON)
 endif()
 
 if (NOT BUILD_SHARED_LIBS)
 	set(Boost_USE_STATIC_LIBS ON)
+	set(OPENSSL_USE_STATIC_LIBS ON)
 endif()
 
 add_library(torrent-rasterbar
@@ -501,7 +500,49 @@
 	${libtorrent_aux_include_files}
 )
 
-select_cxx_standard(torrent-rasterbar 11)
+# C++ 11 support is required
+target_compile_features(torrent-rasterbar
+	PUBLIC
+		cxx_std_11
+		cxx_rvalue_references
+		cxx_reference_qualified_functions
+		cxx_nonstatic_member_init
+		cxx_variadic_templates
+		cxx_generalized_initializers
+		cxx_static_assert
+		cxx_auto_type
+		cxx_trailing_return_types
+		cxx_lambdas
+		cxx_decltype
+		cxx_right_angle_brackets
+		cxx_default_function_template_args
+		cxx_alias_templates
+		cxx_extern_templates
+		cxx_nullptr
+		cxx_strong_enums
+		cxx_enum_forward_declarations
+		cxx_attributes
+		cxx_constexpr
+		cxx_alignas
+		cxx_alignof
+		cxx_delegating_constructors
+		cxx_inheriting_constructors
+		cxx_explicit_conversions
+		cxx_raw_string_literals
+		cxx_user_literals
+		cxx_defaulted_functions
+		cxx_deleted_functions
+		cxx_extended_friend_declarations
+		cxx_sizeof_member
+		cxx_inline_namespaces
+		cxx_unrestricted_unions
+		cxx_local_type_template_args
+		cxx_range_for
+		cxx_final
+		cxx_override
+		cxx_noexcept
+		cxx_defaulted_move_initializers
+)
 
 if (BUILD_SHARED_LIBS)
 	target_compile_definitions(torrent-rasterbar
@@ -593,27 +634,3 @@
 feature_option(exceptions "build with exception support" ON)
 target_optional_compile_definitions(torrent-rasterbar PUBLIC FEATURE NAME extensions DEFAULT ON
 	DESCRIPTION "Enables protocol extensions" DISABLED TORRENT_DISABLE_EXTENSIONS)
-target_optional_compile_definitions(torrent-rasterbar PUBLIC FEATURE NAME i2p DEFAULT ON
-	DESCRIPTION "build with I2P support" DISABLED TORRENT_USE_I2P=0)
-target_optional_compile_definitions(torrent-rasterbar PUBLIC FEATURE NAME logging DEFAULT ON
-	DESCRIPTION "build with logging" DISABLED TORRENT_DISABLE_LOGGING)
-target_optional_compile_definitions(torrent-rasterbar PUBLIC FEATURE NAME mutable-torrents DEFAULT ON
-	DESCRIPTION "Enables mutable torrent support" DISABLED TORRENT_DISABLE_MUTABLE_TORRENTS)
-
-find_public_dependency(Iconv)
-if(MSVC)
-	set(iconv_package_type OPTIONAL)
-else()
-	set(iconv_package_type RECOMMENDED)
-endif()
-
-set_package_properties(Iconv
-	PROPERTIES
-		URL "https://www.gnu.org/software/libiconv/"
-		DESCRIPTION "GNU encoding conversion library"
-		TYPE ${iconv_package_type}
-		PURPOSE "Convert strings between various encodings"
-)
-
-if(Iconv_FOUND)
-	target_compile_definitions(torrent-rasterbar PUBLIC TORRENT_USE_ICONV)

=== examples/CMakeLists.txt ===
project(libtorrent-examples)

set(single_file_examples
    simple_client
    custom_storage
    stats_counters
    dump_torrent
    make_torrent
    connection_tester
    upnp_test)

foreach(example ${single_file_examples})
    add_executable(${example} "${example}.cpp")
    target_link_libraries(${example} PRIVATE torrent-rasterbar)
endforeach(example)

add_executable(client_test
    client_test.cpp
    print.cpp
    torrent_view.cpp
    session_view.cpp)
target_link_libraries(client_test PRIVATE torrent-rasterbar)

=== test/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

# Our tests contain printf formating checks therefore we disable GCC format string errors:
if (CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
	check_cxx_compiler_flag("-Wno-error=format-truncation" _WNO_ERROR_FORMAT_TRUNCATION)
	if (_WNO_ERROR_FORMAT_TRUNCATION)
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-error=format-truncation")
	endif()
endif()

file(GLOB tests "${CMAKE_CURRENT_SOURCE_DIR}/test_*.cpp")
list(REMOVE_ITEM tests "${CMAKE_CURRENT_SOURCE_DIR}/test_natpmp.cpp") # doesn't build at time of writing
list(REMOVE_ITEM tests "${CMAKE_CURRENT_SOURCE_DIR}/test_utils.cpp") # helper file, not a test

add_library(test_common STATIC main.cpp test.cpp setup_transfer.cpp dht_server.cpp udp_tracker.cpp
	peer_server.cpp web_seed_suite.cpp swarm_suite.cpp test_utils.cpp make_torrent.cpp settings.cpp
)
target_link_libraries(test_common PUBLIC torrent-rasterbar)
if (MSVC)
	# C4127: conditional expression is constant
	# C4309: 'conversion' : truncation of constant value
	# C4310: cast truncates constant value
	target_compile_options(test_common PUBLIC /wd4127 /wd4309 /wd4310 )
endif()

foreach(TARGET_SRC ${tests})
	get_filename_component(TARGET ${TARGET_SRC} NAME_WE)
	add_executable(${TARGET} ${TARGET_SRC})
	target_link_libraries(${TARGET} test_common)
	add_test(${TARGET} ${TARGET})
endforeach()

file(GLOB GZIP_ASSETS "${CMAKE_CURRENT_SOURCE_DIR}/*.gz")
file(COPY ${GZIP_ASSETS} DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")

file(GLOB PYTHON_ASSETS "${CMAKE_CURRENT_SOURCE_DIR}/*.py")
file(COPY ${PYTHON_ASSETS} DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")

file(GLOB XML_ASSETS "${CMAKE_CURRENT_SOURCE_DIR}/*.xml")
file(COPY ${XML_ASSETS} DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")

file(COPY "utf8_test.txt" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
file(COPY "mutable_test_torrents" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
file(COPY "test_torrents" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
file(COPY "ssl" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")

=== tools/CMakeLists.txt ===
add_executable(dht dht_put.cpp)
target_link_libraries(dht PRIVATE torrent-rasterbar)

add_executable(session_log_alerts session_log_alerts.cpp)
target_link_libraries(session_log_alerts PRIVATE torrent-rasterbar)

=== bindings/python/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	elseif(CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 16 AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 17)
 		list(APPEND _tmp 3.3 3.4)
 	elseif(CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 19 AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 20)
-		list(APPEND _tmp 3.5 3.6)
+		list(APPEND _tmp 3.5 3.6 3.7 3.8)
 	endif()
 	set(${_ret} ${_tmp} PARENT_SCOPE)
 endfunction()
@@ -44,14 +44,14 @@
 
 if (NOT boost-python-module-name)
 	# use active python
-	if (PYTHON_VERSION_STRING VERSION_GREATER_EQUAL "3")
-		set(_boost-python-module-name "python${PYTHON_VERSION_MAJOR}")
-	else()
+#	if (PYTHON_VERSION_STRING VERSION_GREATER_EQUAL "3")
+#		set(_boost-python-module-name "python${PYTHON_VERSION_MAJOR}")
+#	else()
 		set(_boost-python-module-name "python") # to overwrite possible value from a previous run
-	endif()
+#	endif()
 endif()
 
-set(boost-python-module-name ${_boost-python-module-name} CACHE STRING "Boost:python module name, e.g. 'pythom-3.6'")
+set(boost-python-module-name ${_boost-python-module-name} CACHE STRING "Boost:python module name, e.g. 'python-3.6'")
 
 find_package(Boost REQUIRED COMPONENTS ${boost-python-module-name})

=== debian/changelog ===
libtorrent-rasterbar (1.2.9-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Added d/patches/ README suggesting patch ordering and naming.
  * Added patch from upstream to make python move_storage() match C++ signature

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 30 Apr 2021 07:51:42 +0200

libtorrent-rasterbar (1.2.9-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix building Python bindings with -std=c++14 (Closes: #975953), idea from
    Holger Hoffstätte, https://bugs.gentoo.org/739654.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 05 Dec 2020 16:49:55 +0500

libtorrent-rasterbar (1.2.9-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andrew Starr-Bochicchio ]
  * New upstream release.
   - Removes src/ConvertUTF.cpp (Closes: #956285).
  * debian/copyright: Address issues found in copyright
    review.
  * debian/control:
   - Remove duplicated python3-docutils build-dep.
   - Drop python build-dep (Closes: #967169, #936927).
  * debian/rules:
   - Prevent call to pyversions by using pybuild (#962090).
   - Pass --std=c++14

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Nov 2020 09:34:56 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,6 @@
                libboost-random-dev,
                libssl-dev,
                pkg-config,
-               python,
-               python3-docutils,
                python3-all-dev,
                python3-all-dbg,
                python3-docutils

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed
+export DEB_CXXFLAGS_MAINT_APPEND  = -std=c++14
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armel mipsel m68k powerpc riscv64 sh4))
   export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
@@ -32,6 +33,8 @@
 		$(CONFIGURE_ARGS)
 	mv build-py$*/bindings/python build/bindings/python$*
 	cp -r bindings/python/* build/bindings/python$*
+	sed s/-std=c++11//g < build/bindings/python$*/compile_cmd > build/bindings/python$*/compile_cmd.new && \
+		mv -f build/bindings/python$*/compile_cmd.new build/bindings/python$*/compile_cmd
 
 override_dh_auto_configure: override_dh_auto_configure-nopy $(ALLPY:%=override_dh_auto_configure-%)
 
@@ -54,10 +57,9 @@
 
 override_dh_auto_install: override_dh_auto_install-nopy $(ALLPY:%=override_dh_auto_install-%)
 
-
 override_dh_auto_clean:
 	rm -rf build build-py*
-	dh_auto_clean
+	dh_auto_clean --buildsystem=pybuild
 
 override_dh_compress:
 	dh_compress -Xcpp

## libtorrent-rasterbar 1.2.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -623,14 +623,13 @@
 feature_option(build_examples "build examples" OFF)
 feature_option(build_tools "build tools" OFF)
 feature_option(python-bindings "build python bindings" OFF)
+feature_option(python-egg-info "generate python egg info" OFF)
+feature_option(python-install-system-dir "Install python bindings to the system installation directory rather than the CMake installation prefix" OFF)
 
 # these options require existing target
 feature_option(dht "enable support for Mainline DHT" ON)
-if(NOT build_tests) # tests require deprecated symbols
-	target_optional_compile_definitions(torrent-rasterbar PUBLIC FEATURE NAME deprecated-functions DEFAULT ON
-		DESCRIPTION "enable deprecated functions for backwards compatibility" DISABLED TORRENT_NO_DEPRECATE)
-endif()
+target_optional_compile_definitions(torrent-rasterbar PUBLIC FEATURE NAME deprecated-functions DEFAULT ON
+	DESCRIPTION "enable deprecated functions for backwards compatibility" DISABLED TORRENT_NO_DEPRECATE)
 feature_option(encryption "Enables encryption in libtorrent" ON)
 feature_option(exceptions "build with exception support" ON)
 target_optional_compile_definitions(torrent-rasterbar PUBLIC FEATURE NAME extensions DEFAULT ON
-	DESCRIPTION "Enables protocol extensions" DISABLED TORRENT_DISABLE_EXTENSIONS)

=== debian/changelog ===
libtorrent-rasterbar (1.2.11-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Jan 2021 11:19:50 -0800

=== debian/control ===
Source: libtorrent-rasterbar
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: Cristian Greco <cristian@debian.org>
Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               libboost-chrono-dev,
               libboost-python-dev,
               libboost-random-dev,
               libboost-system-dev,
               libssl-dev,
               pkg-config,
               python3-all-dbg,
               python3-all-dev,
               python3-docutils
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/libtorrent-rasterbar.git
Vcs-Browser: https://salsa.debian.org/debian/libtorrent-rasterbar/
Homepage: https://libtorrent.org/

Package: libtorrent-rasterbar10
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libtorrent-rasterbar-dbg
Description: C++ bittorrent library by Rasterbar Software
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains libtorrent-rasterbar run time shared library.

Package: libtorrent-rasterbar-dev
Section: libdevel
Architecture: any
Depends: libboost-system-dev,
         libssl-dev,
         libtorrent-rasterbar10 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends}
Suggests: libtorrent-rasterbar-doc
Description: Development files for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains header files and static version of the library.

Package: libtorrent-rasterbar-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains documentation and example files.

Package: python3-libtorrent
Section: python
Architecture: any
Depends: libtorrent-rasterbar10 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings for libtorrent-rasterbar (Python 3)
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains Python 3 bindings for the libtorrent-rasterbar library.

=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,7 @@
 	dh_compress -Xcpp
 
 override_dh_strip:
-	dh_strip --dbg-package=libtorrent-rasterbar-dbg
+	dh_strip --no-automatic-dbgsym
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V
